Package ru.bitel.bgbilling.modules.assist.server.bean

# Class AssistPaymentRecurringManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.assist.server.bean.AssistPaymentRecurringManager

public class AssistPaymentRecurringManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
Подразумевается, что на одном contractId может быть только один автоплатёж настроен.

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssistPaymentRecurringManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `add(AssistPaymentRecurring pr)`
  Добавление новых настроек автоплатежа.
  `void`
  `deleteRecurring(int contractId)`
  Удаление всех настроек рекуррентных платежей для указанного договора.
  `AssistPaymentRecurring`
  `getRecurring(int contractId)`
  Получение актуальной(!)
  `static AssistPaymentRecurring`
  `getRecurringFromRS(ResultSet rs, boolean contractTitle)`
  `List<AssistPaymentRecurring>`
  `getRecurringList(int contractId)`
  Список всех актуальных(!)
  `void`
  `runRecurring(int contractId, BigDecimal sum)`
  Ручная инициация рекуррентного платежа по договору.
  `boolean`
  `updateBillnumber(long ordernumber, int contractId, long billnumber)`
  Обновление billnumber для существующего в нашей системе автоплатежа с указанными ordernumber и cid.

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AssistPaymentRecurringManager

    public AssistPaymentRecurringManager(Connection con, int moduleId)

- ## Method Details

  - ### add

    public int add(AssistPaymentRecurring pr) throws SQLException
    Добавление новых настроек автоплатежа. Заполняется всё кроме billnumber (его заполнят после успешного проведения первоначального родительского платежа).
    Parameters:
      `pr` - новый объект
    Returns:
      id добавленной записи
    Throws:
      `SQLException`

  - ### getRecurringFromRS

    public static AssistPaymentRecurring getRecurringFromRS(ResultSet rs, boolean contractTitle) throws SQLException
    Throws:
      `SQLException`

  - ### updateBillnumber

    public boolean updateBillnumber(long ordernumber, int contractId, long billnumber) throws SQLException
    Обновление billnumber для существующего в нашей системе автоплатежа с указанными ordernumber и cid.
    Throws:
      `SQLException`

  - ### getRecurringList

    public List<AssistPaymentRecurring> getRecurringList(int contractId) throws SQLException
    Список всех актуальных(!) настроек рекуррентных платежей.
    Parameters:
      `contractId` - конкретный договор (в таком случае будет 0 или 1 элемент), или -1 если все договоры.
    Returns:
      список (может быть пустой).
    Throws:
      `SQLException`

  - ### getRecurring

    public AssistPaymentRecurring getRecurring(int contractId) throws SQLException
    Получение актуальной(!) настройки автоплатежа для конкретного договора. Если нет - вернётся null.
    Throws:
      `SQLException`

  - ### deleteRecurring

    public void deleteRecurring(int contractId) throws SQLException
    Удаление всех настроек рекуррентных платежей для указанного договора.
    Parameters:
      `contractId` - договор
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### runRecurring

    public void runRecurring(int contractId, BigDecimal sum)
    Ручная инициация рекуррентного платежа по договору. Происходит запуск задачи шедулера.
    Parameters:
      `contractId` - договор
      `sum` - сумма